Update WellPlateSchema
Update WellPlateSchema.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
well_plate_schema_id
ID of the WellPlateSchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
archiveReason
Why the schema was archived.
archived
Whether the schema is archived.
containerSchemaId
The API ID of the container schema defining the well type for plates of this type.
description
Updated description. When provided, must be at most 1000 characters.
height
The number of rows in the grid layout.
name
Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.
prefix
The prefix used for auto-generating barcodes for inventory items of this schema. Must be unique within the registry and cannot end in a digit.
systemName
Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization.
width
The number of columns in the grid layout.
displayNameDeprecated
Deprecated. Use name instead.
Response
OK
__typename
archiveReason
Why the schema was archived.
archived
Whether the schema is archived.
containerSchema
The container schema used for positions in plates of this schema.
createdAt
When the schema was created.
description
A description of the schema.
fieldDefinitions
The fields inherited by plates of this schema.
height
The number of rows in plates of this schema.
id
The ID of the schema.
modifiedAt
When the schema was last modified.
name
The name of the schema.
prefix
The prefix of barcodes autogenerated for plates of this schema.
registry
The schema's registry.
systemName
A unique, stable identifier for this schema used for programmatic access and integrations.
width
The number of columns in plates of this schema.
Errors
400
Well Plate Schema Update Request Bad Request Error
403
Well Plate Schema Update Request Forbidden Error
404
Well Plate Schema Update Request Not Found Error
409
Well Plate Schema Update Request Conflict Error
429
Well Plate Schema Update Request Too Many Requests Error
500
Well Plate Schema Update Request Internal Server Error